#include "serialgpsthread.h"

SerialGPSThread::SerialGPSThread(QObject *parent) : QThread(parent)
{
    serialGPS = nullptr;
}

void SerialGPSThread::run()
{
    serialGPS = new SerialGPS();
    // 连接信号
    connect(serialGPS, &SerialGPS::dataReceived, this, &SerialGPSThread::dataReceived);
    connect(serialGPS, &SerialGPS::storedGNRMCDataUpdated, this, &SerialGPSThread::storedGNRMCDataUpdated);

    // 启动事件循环
    exec();

}
